// Application : Application
// TestWindow.prg , Created : 24. 4. 2024   10:00
// User : misor
PARTIAL CLASS TestWindow INHERIT DATAWINDOW

// User code starts here (DO NOT remove this line)  ##USER##
	PROTECT oDBValueColumn AS ColorColumn

CONSTRUCTOR(oWindow,iCtlID,oServer,uExtra)

	SELF:PreInit(oWindow,iCtlID,oServer,uExtra)

	SUPER(oWindow , ResourceID{"TestWindow" , _GetInst()},iCtlID)

	SELF:Caption := "DataWindow Caption"
	SELF:HyperLabel := HyperLabel{#TestWindow , "DataWindow Caption" , NULL_STRING , NULL_STRING}
	IF !IsNil(oServer)
		SELF:Use(oServer)
	ENDIF

	SELF:Browser := DataBrowser{SELF}

	SELF:oDBValueColumn := ColorColumn{17}
	SELF:oDBValueColumn:Width := 17
	SELF:oDBValueColumn:HyperLabel := HyperLabel{#Value,"Value", NULL_STRING, NULL_STRING}
	SELF:oDBValueColumn:Caption := "Value"
	SELF:Browser:AddColumn(SELF:oDBValueColumn)

	SELF:ViewAs(#BrowseView)


	SELF:PostInit(oWindow,iCtlID,oServer,uExtra)

RETURN


METHOD PostInit()
	
	SELF:oDBValueColumn:EnableCellDraw(#CellDraw)
	
RETURN NULL

METHOD PopulateValues()
	
	LOCAL lDBFType AS STRING
	LOCAL lDataServer AS DbServer
	LOCAL lDBFStruct AS ARRAY
	LOCAL lC AS INT
	
	lDBFType := "DBFNTX"
	
	lDBFStruct := {}
	AAdd(lDBFStruct, {"Value", "N", 10, 0})
	
	DbCreate("data", lDBFStruct, lDBFType)

	lDataServer := DbServer{"data", DBEXCLUSIVE, DBREADWRITE, lDBFType}
	
	FOR lC := 1 TO 1000
		
		lDataServer:Append()
		lDataServer:FieldPut("Value", lC)
		
	NEXT
	
	SELF:Browser:Use(lDataServer)
	
RETURN NULL

ACCESS ValueColumn
RETURN SELF:FieldGet( #ValueColumn )

ASSIGN ValueColumn( uValue )
SELF:FieldPut( #ValueColumn , uValue )

END CLASS

STATIC DEFINE TESTWINDOW_VALUE := 100
STATIC DEFINE TESTWINDOW_VALUECOLUMN := 100
